Foro de Arquitectura, Diseño y Construcción


    busco rutina que pida puntos para luego hacer una pline

    Comparte

    l_ad_gonz
    Primeros mensajes
    Primeros mensajes

    Cantidad de envíos : 7
    Edad : 39
    Localización : Catamarca de Argentina
    Empleo /Ocio : Arquitecto
    Fecha de inscripción : 17/02/2009

    busco rutina que pida puntos para luego hacer una pline

    Mensaje por l_ad_gonz el Jue Abr 23, 2009 5:03 pm

    Buenas Tardes a todos:


    Hace algún tiempo busco una rutina, donde se pidan puntos para construir
    una polilínea dentro de un comando, y en interacción con el usuario. Embarassed

    ¿Algún aporte me podrían facilitar?


    Gracias. Sad

    prexem
    Administrador
    Administrador

    Cantidad de envíos : 25
    Edad : 51
    Localización : Tucumán - Argentina.
    Empleo /Ocio : Arquitecto Cadista.
    Fecha de inscripción : 10/01/2009

    una solucion

    Mensaje por prexem el Jue Abr 23, 2009 7:58 pm

    Una solución clásica es hacer un buclé while con getpoint, así:
    Código:

    ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
    ;;;rutina "pline4points" pide puntos y luego dibuja polyline
    ;;;con ellos
    ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
    (defun c:pline4points (/ p lista)
      (while
        (setq p (getpoint "\ndar un punto o ENTER para terminar:"))
        (setq lista (cons p lista))
        )
      (command "_.pline")(mapcar 'command lista)(command "")
      (princ)
      )
    Probalo, cualquier duda, preguntas. Smile


    _________________
    *EL BLOG DE PREXEM: www.prexem.blogspot.com

    Verdad es ver el objeto, Realidad es el objeto, Libertad es conocer el objeto........

      Fecha y hora actual: Vie Dic 09, 2016 10:55 pm